QGIS Application - Feature request #9368
Print Composer Map Label and Texture Rotation
2014-01-18 03:04 PM - Matthew Petroff

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 17968
Description

Currently, when map rotation is specified in the print composer, everything on the map is rotated, including labels and textures. Instead, it
would be nice to have an option so only the map features are rotated, and the rotated features are then labeled and styled, e.g. horizontal
labels are horizontal on a rotated map in the print composer. Some of this can be manually done by specifying an opposite rotation for a
texture or label, but there is no way that | know of to make sure curved labels are not upside-down on a rotated map.

History

#1 - 2014-01-19 02:00 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

#2 - 2015-03-17 10:00 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in 2.8
